#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Kakasi
Summary:	A KAKASI library module for Perl
Summary(cs.UTF-8):	Modul s KAKASI knihovnou pro Perl
Summary(da.UTF-8):	Et KAKASI-modul for Perl
Summary(de.UTF-8):	Ein KAKASI-Bibliothek Modul für Perl
Summary(es.UTF-8):	Módulo de la Biblioteca KAKASI para Perl
Summary(fr.UTF-8):	Un module de bibliothèque Kakasi pour Perl
Summary(it.UTF-8):	Modulo di libreria KAKASI per Perl
Summary(ja.UTF-8):	Perl 用の KAKASI ライブラリモジュール
Summary(ko.UTF-8):	펄을 위한 KAKASI 라이브러리 모줄
Summary(nb.UTF-8):	Et KAKASI-modul for Perl
Summary(pl.UTF-8):	Interfejs Perla do biblioteki KAKASI
Summary(pt.UTF-8):	Um módulo da biblioteca KAKASI para o Perl
Summary(ru.UTF-8):	Модуль библиотеки KAKASI для Perl
Summary(sv.UTF-8):	En KAKASI-bibliotekmodul för Perl
Summary(zh_CN.UTF-8):	Perl 的 KAKASI 库模块。
Name:		perl-Text-Kakasi
Version:	2.04
Release:	13
# README says just GPL, but module itself GPL v2+
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5a9e381cb93edfd707124a63c60f96b1
URL:		http://www.daionet.gr.jp/~knok/kakasi/
BuildRequires:	kakasi-devel >= 2.3.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	kakasi-dict
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI. KAKASI is the language processing filter to convert Kanji
characters to Hiragana, Katakana or Romaji and may be helpful to read
Japanese documents. More information about KAKASI is available at
<http://kakasi.namazu.org/>.

%description -l cs.UTF-8
Modul Text-Kakasi poskytuje rozhraní ke knihovně libkakasi do jazyka Perl.
KAKASI je filtr pro konverze japonských znaků Hiragana, Katakana nebo Romaji.

%description -l da.UTF-8
Modulet Text-Kakasi giver et grænseflade for Perl til libkakasi (et
KAKASI-bibliotek).  KAKASI er et sprogbearbejdningsfilter for at
konvertere Kanjitegn til Hiragana, Katakana eller Romaji.

%description -l de.UTF-8
Das Text-Kakasi-Modul unterstützt ein libkakasi (eine KAKASI-Bibliothek)
Interface für Perl.  KAKASI ist ein Sprachprozessfilter zur Umwandlung der
Kanji-Schriftzeichen in Hirahana, Katakana oder Romaji.

%description -l es.UTF-8
El módulo Text-Kakasi proporciona una interfaz de libkakasi (biblioteca
KAKASI) para Perl. KAKASI es un filtro del proceso de lenguaje para
convertir carácteres Kanji a los Hiragana, Katana o Romaji.

%description -l fr.UTF-8
Le module Text-Kakasi fournit une interface libkakasi (bibliothèque Kakasi)
pour Perl. Kakasi est un filtre de processeur de langage pour convertir les
caractères Kanji en caractères Hiragana, Katakana ou Romaji.

%description -l it.UTF-8
Il modulo Text-Kakasi fornisce un'interfacia libkakasi (una libreria
KAKASI) per Perl. KAKASI è un filtro di elaborazione delle lingue per
convertire i caratteri Kanji in Hirigana, Katakana o Romanji.

%description -l ja.UTF-8
このモジュールは、高橋裕信さんの作成されたソフトウェアKAKASIをperl
から用いるためのものです。

このモジュールを使うためには、最新版のKAKASI(2.3.0以降)が必要です。
最新版に関しては、<http://kakasi.namazu.org/>を参照してください。

%description -l pl.UTF-8
Ten moduł dostarcza interfejs libkakasi dla Perla. libkakasi to część
pakietu KAKASI. KAKASI to filtr konwertujący znaki Kanji na Hiragana,
Katakana lub Romaji, który może być przydatny przy czytaniu japońskich
dokumentów. Więcej informacji o KAKASI znajduje się na stronie
<http://kakasi.namazu.org/>.

%description -l pt.UTF-8
O módulo Text-Kakasi oferece uma interface da libkakasi (uma biblioteca
de KAKASI) para o Perl. O KAKASI é um filtro de processamento para
converter os caracteres Kanji para Hiragana, Katakana ou Romaji.

%description -l ru.UTF-8
Модуль Text-Kakasi содержит библиотеку libkakasi, которая предоставляет
интерфейс KAKASI для Perl. Фильтр KAKASI предназначен для преобразования
текста и кодировки Kanji в Hiragana, Katakana или Romaji.
%description -l sv.UTF-8
Modulen Text-Kakasi ger ett gränssnitt för Perl till libkakasi (ett
KAKASI-bibliotek).  KAKASI är ett språkbearbetningsfilter för att
konvertera Kanjitecken till Hiragana, Katakana eller Romaji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%lang(ja) %doc README.jp
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Kakasi
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Kakasi/*.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Kakasi.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 2a27f71
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8b1e4ef
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 35ae82e
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c5a8b1f
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b8242d8
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9538e63
- x32 rebuild
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f9d9052
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b033970
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 582aeb2
- release 5

* Sun Mar 02 2008 radek <radek@pld-linux.org> b0ca4c2
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f4b85be
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 6a5d78d
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 7062feb
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 27f9619
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> baeeb59
- converted to UTF-8

* Sun Dec 05 2004 radek <radek@pld-linux.org> 2f6096b
- version 2.04

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> a07263b
- spelling fixes, upercases, etc.

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3003d3d
- rel. 4

* Mon May 03 2004 ankry <ankry@pld-linux.org> d8c54ff
- tests added, license fixed, cosmetics

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 7b48039
- s/no/nb/ in Summary langs

